package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class CppTestHudsonTestType extends TestType {

private static TestTypeDescriptor<? extends TestType> DESCRIPTOR = new CppTestHudsonTestType.DescriptorImpl();

@DataBoundConstructor
public CppTestHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<? extends TestType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends TestTypeDescriptor<CppTestHudsonTestType> {

  public DescriptorImpl() {
     super(CppTestHudsonTestType.class, com.thalesgroup.dtkit.junit.CppTest.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.CppTest";
}

}

}
